<?php


//CHANGE THIS LINE TO REFLECT YOUR ABSOLUTE PATH
include('/home/cartoon5/_cartoonistgroup.com/include/cg-db.php');

db_connect();


//CHANGE THIS TO REFLECT YOUR CARTOONIST GROUP PROPERTY ID (USED IN SIMPLE QUERY)
$id=54;


//CHANGE THIS TO REFLECT NAME OF IMAGE YOU WANT INFORMATION FOR (USED IN ALTERNATE QUERY)
//This can also be changed to pull GET information from URL
$image_name_original='MGG1100715_lr.jpg';



//SIMPLE QUERY TO PULL INFORMATION BASED ON (ORIGINAL) IMAGE NAME
$result = mysql_query("SELECT image_id, image_name, image_name_original, property_name, published, width, height FROM image_data WHERE " .
	"viewable<=NOW() AND activated IS NOT NULL AND invisible = 0 AND image_name_original='$image_name_original' " .
	"ORDER BY published DESC LIMIT 1");

list($iix, $image_name, $image_name_original, $prop_name, $published, $width, $height) = mysql_fetch_array($result);

mysql_free_result($result);


//ALTERNATE QUERY TO PULL INFORMATION FOR THE MOST RECENTLY PUBLISHED IMAGE
/*
$result = mysql_query("SELECT image_id, image_name, image_name_original, property_name, published, width, height FROM image_data WHERE " .
	"viewable<=NOW() AND activated IS NOT NULL AND invisible = 0 AND property='$id' " .
	"ORDER BY published DESC LIMIT 1");

list($iix, $image_name, $image_name_original, $prop_name, $published, $width, $height) = mysql_fetch_array($result);

mysql_free_result($result);
*/

// AVAILABLE VARIABLES
// $iix: 					The image ID used in the Cartoonist Group database
// $image_name: 			The name assigned to the image in the Cartoonist Group database
// $image_name_original:	The name as originally assigned the image by the client
// $prop_name: 				The name of the property, which should be the client name
// $published: 				The date cartoon was originally or most recently published
// $width: 					The width in pixels of the image
// $height:					The height in pixels of the image



//THIS QUERY PULLS ALL KEYWORD INFORMATION FOR SELECTED IMAGE
//(Can also be combined in one of the above queries for simplicity)

$resultx = mysql_query("SELECT property, keywords, caption, participants, setting " .
"FROM image_data WHERE image_id='$iix' LIMIT 1");

$keywords_all = '';

while ($keywords_array = mysql_fetch_assoc($resultx))
	{
		$keywords_all .= strtolower($keywords_array["keywords"]) . " ";
		$keywords_all .= strtolower($keywords_array["caption"]) . " ";
		$keywords_all .= strtolower($keywords_array["participants"]) . " ";
		$keywords_all .= strtolower($keywords_array["setting"]) . " ";
	}

mysql_free_result($resultx);


//THIS FUNCTION WILL BE USED TO COMPARE KEYWORDS WITH SUBJECTS
function comparesubjecttokeywords ($value,$key,$keywords_all)
{
	global $none;

	$valuespaced = " " . $value . " ";

	if ((stripos($keywords_all,$valuespaced)===false))
	{
		$none=$none+1;
	}
}



//THIS QUERY PULLS ALL SUBJECTS FROM DATABASE TO COMPARE
$result = mysql_query("SELECT id, alpha, name FROM subjects WHERE active='1' ORDER BY alpha");

while(($resultArray[] = mysql_fetch_assoc($result)) || array_pop($resultArray));


//BEGINNING OF SUBJECT LIST
$subjectlist = '<div id=similar_list>';

foreach ($resultArray as $k => $v)
{
	foreach ($v as $k2 => $subject)
	{
		if ($k2=='alpha')
		{

			$subject_lc_alpha = strtolower($subject);
			$subject=$resultArray[$k]['name'];
			$subject_lc = strtolower($subject);
			$subject_array = explode(" ",$subject);

			if (count($subject_array)==1)
			{
				$subjectspaced = " " . $subject . " ";

				if (stripos($keywords_all,$subjectspaced))
				{
					$subjectlist .= "<a href='cg-subjects.php?id=$id&sid=" . $resultArray[$k]['id'] . "' target='_blank'>$subject</a>, ";
				}
			}
			ELSE
			{
				array_walk($subject_array,"comparesubjecttokeywords",$keywords_all);

				if ($none<1)
				{
				$subjectlist .= "<a href='cg-subjects.php?id=$id&sid=" . $resultArray[$k]['id'] . "' target='_blank'>$subject</a>, ";
				}

				$none=0;
			}
		}
	}
}

//CUTS OFF END COMMA
$subjectlist = substr($subjectlist, 0, -2);


//BEGIN HTML
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<HTML>
<HEAD>
<TITLE></TITLE>
</HEAD>

<BODY>

Image name: <?php echo $image_name_original; ?>

<p>

<?php

// IF KEYWORDS EXIST, LIST KEYWORDS
if (strlen($subjectlist)>24)
	{
?>
	<DIV id="similar_box">
	<p class="similartop">See similar <i><?php echo $prop_name; ?></i> at the Cartoonist Group:</p>
	<p class="similarcontent">

<?php
	echo $subjectlist . ".";
	echo "</div>";

	}

mysql_free_result($result);


?>

</BODY>
</HTML>
