<?php

include('/home/cartoon5/_cartoonistgroup.com/include/db.php');
db_connect();


if (!is_null($_GET['iid']) || $_GET['iid']!='')
{
	$iid = $_GET['iid'];
	if (!is_numeric($iid)) { exit; }
	$rsstype = property;

	$result = db_do("SELECT property FROM image_data WHERE image_id=$iid");
	list($id) = db_row($result);
	db_free($result);
}


if (!is_null($_GET['id']) || $_GET['id']!='')
{
	$id = $_GET['id'];
	if (!is_numeric($id)) { exit; }
	$rsstype = property;
}

if (!is_null($_GET['sid']) || $_GET['sid']!='')
{
	$sid = $_GET['sid'];
	if (!is_numeric($sid)) { exit; }
	$rsstype = subject;
}

//troubleshooting
//echo "Type is $rsstype<p>";
//exit;



if ($rsstype == 'property')
{

	$published_viewable=published;


	$result = db_do("SELECT name, home_dir, type, artist_first, artist_last, " .
	"metatext_wpwg, wpwg_banner, wpwg_banner_w, wpwg_banner_h, " .
	"wpwg_aboutcartoonist_link,distributor_id FROM master_property,property_template_info " .
	"WHERE master_property.id='$id' AND master_property.id=property_template_info.property_id " .
		"LIMIT 1");
	list($prop_name, $home_dir, $type, $artist_first, $artist_last, $meta, $banner, $bannerw, $bannerh, $aboutlink, $distributor_id) = db_row($result);

	db_free($result);

	$result = db_do("SELECT image_id, image_name, property_name, published, width, height FROM image_data WHERE " .
		"viewable<=NOW() AND activated IS NOT NULL AND property='$id' " .
		"ORDER BY $published_viewable DESC LIMIT 1");

	list($iix, $image_name, $prop_name, $published, $width, $height) = db_row($result);

	db_free($result);
}

if($distributor_id=='7') // Do not allow WPWG properties
{
	echo 'RSS is not offered for this property.';
	exit;
}


if ($rsstype == 'subject')
{

	$result = db_do("SELECT name, alpha, bold, bodytext, active, meta, intro, plural FROM subjects WHERE id='$sid' " .
		"ORDER BY alpha DESC " .
		"LIMIT 1");
	list($subj_name, $subj_alpha, $subj_bold, $bodytext, $subj_active, $subj_meta, $subj_intro, $subj_plural) = db_row($result);

	db_free($result);


	$keywords=$subj_name;

	if (empty($sort))
		$sort = "image_data.viewable";

	$sql = "SELECT image_data.image_id, image_data.home_dir, " .
		"image_data.image_name, master_property.id, " .
		"image_data.property_name, image_data.caption, image_data.published, image_data.viewable, " .
		"distributors.url, distributors.name, distributors.id, master_property.on_demand, " .
		"(SELECT last_name FROM artist,artist_property_crosslinks " .
		"WHERE artist.id=artist_property_crosslinks.artist_id AND " .
		"artist_property_crosslinks.property_id=image_data.property ORDER BY last_name LIMIT 1) " .
		"FROM image_data, artist, artist_property_crosslinks, " .
		"master_property, distributors WHERE image_data.viewable <= NOW() AND " .
		"master_property.id=artist_property_crosslinks.property_id AND artist_property_crosslinks.artist_id=artist.id " .
		"AND master_property.id=image_data.property AND " .
		"image_data.published <= NOW() AND master_property.distributor_id=distributors.id AND " .
		"image_data.activated IS NOT NULL AND image_data.invisible = 0 " .
		"AND keywords like '%$keywords%' GROUP BY image_data.image_id ORDER BY $sort DESC, " .
		"master_property.artist_last, image_data.property_name DESC LIMIT 1";

	$result = db_do($sql);

	list($image_id, $home_dir, $image_name, $property_id, $prop_name, $caption, $published, $viewable, $disturl, $distname, $distid, $on_demand, $artist_last) = db_row($result);
	db_free($result);

}


if (is_null($aboutlink) || $aboutlink=='')
{
	$aboutlink='http://www.cartoonistgroup.com/';
}

$prop_name=htmlspecialchars($prop_name);

$url= 'http://www.cartoonistgroup.com/properties/' . $home_dir . '/art_images/' . $image_name;
$tn= 'http://www.cartoonistgroup.com/properties/' . $home_dir . '/art_images/tn_' . $image_name;

$pubdate = date("D, d M Y H:i:s T", strtotime($published));

if ($rsstype == 'property')
{
	$details = '<?xml version="1.0" encoding="ISO-8859-1" ?><rss version="2.0" xmlns:media="http://search.yahoo.com/mrss/" xmlns:atom="http://www.w3.org/2005/Atom" xmlns:dc="http://purl.org/dc/elements/1.1/">
			<channel>
				<title>'. $prop_name .'</title>
				<link>http://www.cartoonistgroup.com/</link>
				<description>by ' . $artist_first . ' ' . $artist_last . '</description>
				<language>en</language>
				<image>
					<title>'. $prop_name .'</title>
					<url>'. $banner .'</url>
					<link>'. $aboutlink .'</link>
					<width>144</width>
				</image>
				<atom:link href="http://www.cartoonistgroup.com/" rel="self" type="application/rss+xml"/>';


	$items = '
			<item>
				 <title>Current Cartoon: ' . $published . '</title>
				 <description><![CDATA[<img src="' . $url . '"/>]]></description>
				 <pubDate>'. $pubdate . '</pubDate>
				<guid isPermaLink="false">' . $url . '</guid>
				<media:content url="' . $url . '" height="240" width="320" medium="image" isDefault="true"><media:title>' . $property_name . 'Cartoon from ' . $published . '</media:title>
				<media:description>' . $property_name . 'Cartoon from ' . $published . '. Courtesy of The Cartoonist Group.</media:description>
				<media:thumbnail url="' . $tn . '" />
				</media:content>
			</item>';

	$items .= '
		</channel>
	</rss>';

}

if ($rsstype == 'subject')
{
	$details = '<?xml version="1.0" encoding="ISO-8859-1" ?><rss version="2.0" xmlns:media="http://search.yahoo.com/mrss/" xmlns:atom="http://www.w3.org/2005/Atom" xmlns:dc="http://purl.org/dc/elements/1.1/">
			<channel>
				<title>The '. ucwords($subj_name) .' Comics and Cartoons</title>
				<link>http://www.cartoonistgroup.com/</link>
				<description>Comics and cartoons about ' . $subj_name . '</description>
				<language>en</language>
				<atom:link href="http://www.cartoonistgroup.com/" rel="self" type="application/rss+xml"/>';

	$items = '
			<item>
				 <title>' . $prop_name . ' ' . $published . '</title>
				 <description><![CDATA[<img src="' . $url . '"/>]]></description>
				 <pubDate>'. $pubdate . '</pubDate>
				<guid isPermaLink="false">' . $url . '</guid>
				<media:content url="' . $url . '" height="240" width="320" medium="image" isDefault="true"><media:title>' . $property_name . 'Cartoon from ' . $published . '</media:title>
				<media:description>' . $property_name . 'Cartoon from ' . $published . '. Courtesy of The Cartoonist Group.</media:description>
				<media:thumbnail url="' . $tn . '" />
				</media:content>
			</item>';

	$items .= '
		</channel>
	</rss>';

}


//begin display of RSS

header("Content-Type: application/xml; charset=ISO-8859-1");
	echo $details;
	echo $items;

?>