<center>
<?php
session_name('cartoonistgroup');
session_start();


// blank = most recent, no calendar
// a = most recent, two week pulldown
// b = most recent, 30-day calendar
// c = merchandise (link only works if property has merchandise)
// d = similar comics multi-word subjects (test)
// e = e-card
// k = keyword search
// p = publication date search
// s = share this


//b 1. Recent with a 30 day calendar - one template.
//a 2. Recent without a 30 day calendar - one template.
//d 3. Number one with a link to see similar cartoons (let's discuss) - one
//d 4. Number two with a link to  see similar cartoons (let's discuss) - one
//e 5. Numbers one - four with links to send an e-card with the cartoon shown - 4
//c 6. Numbers one - five with a link to see merchandise for the cartoon shown - 8
//k 7. Keyword search - one template.
//p 8. Pub-date search - one template.  Include ability to specifiy day, month, year.
// 9. Keyword and pub-date search - one template.
// 10.  For 7 - 9, add ability to see oldest or most recent images first - 3
// 11. Results - can a template be developed for this?



if (isset($_POST['searchtype']))
	include('/home/cartoon5/_cartoonistgroup.com/include/attrs.php');




$id = $_GET['id'];

if (!is_numeric($id)) { exit; }

$today = $_GET['today'];

$options = $_GET['opt'];

$stylesheet = $_GET['css'];

$keywords = $_GET['keywords'];


include('/home/cartoon5/_cartoonistgroup.com/include/db.php');
db_connect();






	$result = db_do("SELECT name, home_dir, type, artist_first, artist_last, type " .
	"FROM master_property " .
	"WHERE master_property.id='$id' " .
	    "LIMIT 1");
	list($name, $home_dir, $type, $artist_first, $artist_last, $type) = db_row($result);

	db_free($result);


$propertyID=$id;


// This top section of code searches for the most current image.
// It starts with today, then goes back every day until an image is found.
// Then the current day is the new 'today'.

// For now we are ignoring this and using really_today

$iix = 0;

$really_today = date( "Y-m-d");

if (is_null($today))
	{$today = date( "Y-m-d");}

if ($today > $really_today)
	{$today = date( "Y-m-d");}


$result = db_do("SELECT image_id, image_name, property_name, height FROM image_data WHERE published='$today' " .
		"AND property='$propertyID' ORDER BY image_id DESC " .
	    "LIMIT 1");

	list($iix, $image_name, $prop_name, $image_height) = db_row($result);

	if ($iix < 1)
	{

		for( $d = 1 ; $d <= 15 ; $d++ )
		{
			$today = date ( "Y-m-d", strtotime("$today -1 days"));


			$result = db_do("SELECT image_id, image_name, property_name, height FROM image_data WHERE published='$today' " .
				"AND property='$propertyID' ORDER BY image_id DESC " .
			    "LIMIT 1");

			list($iix, $image_name, $prop_name, $image_height) = db_row($result);
			if ($iix > 1)
		{break; }

		}

	}

$imagepath = $home_dir. '/art_images/' . $image_name;

$smalldate = date ("m/d", strtotime("$today"));


$todayminus1 = date ("Y-m-d", strtotime("$really_today -1 days"));
$todayminus2 = date ("Y-m-d", strtotime("$really_today -2 days"));
$todayminus3 = date ("Y-m-d", strtotime("$really_today -3 days"));
$todayminus4 = date ("Y-m-d", strtotime("$really_today -4 days"));
$todayminus5 = date ("Y-m-d", strtotime("$really_today -5 days"));
$todayminus6 = date ("Y-m-d", strtotime("$really_today -6 days"));
$todayminus7 = date ("Y-m-d", strtotime("$really_today -7 days"));
$todayminus8 = date ("Y-m-d", strtotime("$really_today -8 days"));
$todayminus9 = date ("Y-m-d", strtotime("$really_today -9 days"));
$todayminus10 = date ("Y-m-d", strtotime("$really_today -10 days"));
$todayminus11 = date ("Y-m-d", strtotime("$really_today -11 days"));
$todayminus12 = date ("Y-m-d", strtotime("$really_today -12 days"));
$todayminus13 = date ("Y-m-d", strtotime("$really_today -13 days"));
$todayminus14 = date ("Y-m-d", strtotime("$really_today -14 days"));


$path = "http://www.cartoonistgroup.com/templates/template_ext.php?opt=" . $options . "&css=" . $stylesheet . "&id=" . $id . "&today=";

?>

<html>
<head>
<link href="<?php echo $stylesheet; ?>.css" rel="stylesheet" media="all"/>
    <script type="text/javascript" src="http://www.cartoonistgroup.com/classes/Frame.js"></script>
    <script type="text/javascript">
        window.onload = function(event)
        {
            window.setInterval(publishHeight, 300);
        }
    </script></head>
<body>


<!-- Title/Archive Bar -->
<div id="comics_wrapper2">


<div id="comic_title">
<font color="#660000" face="Arial, Helvetica, sans-serif">
<?php

// OPTION A: TWO-WEEK PULLDOWN

	if(strchr($options,a))
		{

			include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-2weekpulldown.php");

		}

// END OPTION A


?>

</div>


<?php

// The following shows up if option B is NOT selected

	if(!strchr($options,b))
		{
		?>

		<!-- Full Comic -->

		<div id="comic_full" height="<?php echo $image_height; ?>">
			<img border="0" src="http://www.cartoonistgroup.com/properties/<?php echo $imagepath; ?>" alt="<?php echo $name . ' ' . $smalldate; ?>" name="im2">
		</div>

		<?php
		}
?>



<div id="name">


<?php

// OPTION B: 30-DAY CALENDAR

	if(strchr($options,b))
		{

			include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-30day.php");

		}

// END OPTION B


// The following shows up if option B is NOT selected

	if(!strchr($options,b))
		{
			$linkid = $iix;
		}



// OPTION S: SHARE THIS

	if(strchr($options,s))
		{

			echo "<p>Share This (To be added)";

		}

// END OPTION S





// OPTION E: E-CARDS
	if(strchr($options,e))
		{

			echo "<p><a href=http://www.cartoonistgroup.com/search/cardimage.php?iid=$linkid id='ecard' target='_blank'>Send an <b>e-card</b> of this cartoon!</a>";

		}
// END OPTION E



// OPTION L: LICENSING

	if(strchr($options,l))
		{

			include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-licensing.php");

		}

// END OPTION L



// OPTION C: MERCHANDISE

	if(strchr($options,c))
		{

			echo "<p><a href=http://store.cartoonistgroup.com/catalog/byid.php?id=$linkid id='merch' target='_blank'>See <b>merchandise</b> available for this cartoon!</a>";

		}

// END OPTION C



// OPTION D: SIMILAR COMICS (multi-word subject)

	if(strchr($options,d))
		{

			include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-similar.php");

		}

// END OPTION D



// OPTION P: PUBDATE SEARCH

	if(strchr($options,p))
		{

			include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-pubdate.php");

		}

// END OPTION P



// OPTION K: KEYWORD SEARCH

	if(strchr($options,k))
		{

			echo "<p><center><form action='/search/refine.php' method='POST' target='_blank'>";
			echo "<table><tr><td>Search <i>$name</i> using keywords:</td></tr>";
			echo "<tr><td><center><input name='keywords' type='text' size='18'></center></td></tr>";
			echo "<tr><td><center><INPUT TYPE='submit' NAME='submit' VALUE='Go to the Cartoonist Group'></center></td></tr>";
			echo "<tr><td>No need to add comics or cartoons to your keywords.</td><td><input type='hidden' name='property' value='$name'></td></tr>";
			echo "</table></center></form>";

		}

// END OPTION K


?>
</div>

<div style="clear:all;"></div>
<!-- END -->
</body>
</html>