<?php
session_name('cartoonistgroup');
session_start();


// blank = most recent, no calendar
// a = most recent, two week pulldown
// b = most recent, 30-day calendar
// c = merchandise (link only works if property has merchandise)
// d = similar comics multi-word subjects (test)
// e = e-card
// i = previous / next image
// k = keyword search
// l = licensing links
// n = copyno
// p = publication date search
// r = most recent image first
// s = share this
// t = today
// u = puzzle
// v = images returned by viewable date instead of published
// x = NO INITIAL IMAGE

///////////////////////////////////////////////////////////////////
// WHEN NEW CLIENTS ARE ADDED, THEY NEED TO BE ASSIGNED A NUMBER //
// AND PLACED INTO THIS BLOCK ALONG WITH ANY URLs THEY WILL USE. //
// THIS ALLOWS THE FACEBOOK APP TO WORK WITHOUT PASSING FULL URL //
///////////////////////////////////////////////////////////////////

if (!is_null($_GET['origin']) || $_GET['origin']!='')
{
	$origin = $_GET['origin'];
	if ($origin=='http://www.frankandernest.com/test.php') $origin='442';
	if ($origin=='http://frankandernest.com/test.php') $origin='442';
	if ($origin=='http://www.cartoonistgroup.com/templates/fb_test.php') $origin='559';
	if ($origin=='http://cartoonistgroup.com/templates/fb_test.php') $origin='559';
}


if (!is_null($_GET['fb_ref']) || $_GET['fb_ref']!='')
{
	$fb_ref=$_GET['fb_ref'];

	if ($fb_ref=='442') $fb_ref='http://www.frankandernest.com/test.html';
	if ($fb_ref=='335') $fb_ref='http://www.grimmy.com/today.html';
	if ($fb_ref=='559') $fb_ref='http://www.cartoonistgroup.com/templates/fb_test.html';
}


if (isset($_POST['searchtype']))
	include('/home/cartoon5/_cartoonistgroup.com/include/attrs.php');

//These lines check to see if there is a css variable in the URL.
//If not, then the standard template_ext.css is used.

if (is_null($_GET['css']) || !isset($_GET['css']) || $_GET['css']=='')
	{
	$stylesheet = 'template_ext';
	}
ELSE
	{
	$stylesheet = $_GET['css'];
	}

$today = $_GET['today'];
$options = $_GET['opt'];
$keywords = $_GET['keywords'];


include('/home/cartoon5/_cartoonistgroup.com/include/db.php');
db_connect();

//$propertyID=$id;



//This section determines if a specific image is being called,
//OR if an Artist is being called
//OR a Property is being called

if (isset($_GET['iid']))
	{
	$iid = $_GET['iid'];

	$result = db_do("SELECT property, home_dir, property_type, image_name, property_name, height, width " .
		"FROM image_data WHERE image_id='$iid' LIMIT 1");
	list($id, $home_dir, $type, $image_name, $name, $height, $width) = db_row($result);

	db_free($result);
	}
ELSEIF (isset($_GET['aid']))
	{
	$aid = $_GET['aid'];
	if (!is_numeric($aid))
		{ exit;}

	$result = db_do("SELECT first_name, last_name " .
		"FROM artist WHERE id='$aid' LIMIT 1");
	list($artist_first, $artist_last) = db_row($result);
	db_free($result);

	$result = db_do("SELECT property_id " .
		"FROM artist_property_crosslinks WHERE artist_id='$aid'");
	$id = array();
	while (list($iid) = db_row($result))
		$id[] = $iid;

	$numberofproperties = count($id);

	db_free($result);
	}
ELSE
	{
	$id = $_GET['id'];
	if (!is_numeric($id))
		{ exit;}
	}

//troubleshooting
//print_r($id);
//exit;


if(is_array($id))
	{
	$idx=$id[0];
	$linktype= 'aid';
	$idneutral=$aid;
	}
ELSE
	{
	$idx=$id;
	$linktype= 'id';
	$idneutral=$id;
	}

//troubleshooting
//echo $idx;


// OPTION T: TODAY

if(strchr($options,t))
	{


	//get earliest year available for property

	$monthtest = date('m');
	$daytest = date('d');
	$monthlowtest = date('m',strtotime("-5 days"));
	$daylowtest = date('d',strtotime("-5 days"));

	$sql = "SELECT year(published) as year FROM image_data WHERE " .
		"day(published) between '$daylowtest' and '$daytest' AND month(published) between '$monthlowtest' and '$monthtest' " .
		"AND activated IS NOT NULL AND invisible = 0 AND property='$id' " .
		"ORDER BY year ASC LIMIT 1";

	$result = db_do("$sql");
	list($firstyear) = db_row($result);

	db_free($result);

	//find difference to determine how many years ago are possible

	$numberofyears = Date("Y")-$firstyear;

	if (empty($firstyear))
		$numberofyears = 10;


//troubleshooting
//echo "monthtest: " . $monthtest . "<p>";
//echo "daytest: " . $daytest . "<p>";
//echo "monthlowtest: " . $monthlowtest . "<p>";
//echo "daylowtest: " . $daylowtest . "<p>";

//echo "firstyear: " . $firstyear . "<p>";
//echo "Numberofyears: " . $numberofyears . "<p>";
//echo "SQL: " . $sql . "<p>";
//echo "yeartest: " . $yeartest . "<p>";
//echo "yearlowtest: " . $yearlowtest . "<p>";

	//build array of possible years

	$y = $_GET['y'];

	$years = array(
		'1' => 'One Year Ago',
		'2' => 'Two Years Ago',
		'3' => 'Three Years Ago',
		'4' => 'Four Years Ago',
		'5' => 'Five Years Ago',
		'6' => 'Six Years Ago',
		'7' => 'Seven Years Ago',
		'8' => 'Eight Years Ago',
		'9' => 'Nine Years Ago',
		'10' => 'Ten Years Ago',
		'11' => 'Eleven Years Ago',
		'12' => 'Twelve Years Ago',
		'13' => 'Thirteen Years Ago',
		'14' => 'Fourteen Years Ago',
		'15' => 'Fifteen Years Ago',
		'16' => 'Sixteen Years Ago',
		'17' => 'Seventeen Years Ago',
		'18' => 'Eighteen Years Ago',
		'19' => 'Nineteen Years Ago',
		'20' => 'Twenty Years Ago',
		'21' => 'Twenty-one Years Ago',
		'22' => 'Twenty-two Years Ago',
		'23' => 'Twenty-three Years Ago',
		'24' => 'Twenty-four Years Ago',
		'25' => 'Twenty-five Years Ago',
		'26' => 'Twenty-six Years Ago',
		'27' => 'Twenty-seven Years Ago',
		'28' => 'Twenty-eight Years Ago',
		'29' => 'Twenty-nine Years Ago',
		'30' => 'Thirty Years Ago',
		'31' => 'Thirty-one Years Ago',
		'32' => 'Thirty-two Years Ago',
		'33' => 'Thirty-three Years Ago',
		'34' => 'Thirty-four Years Ago',
		'35' => 'Thirty-five Years Ago',
		'36' => 'Thirty-six Years Ago',
		'37' => 'Thirty-seven Years Ago',
		'38' => 'Thirty-eight Years Ago',
		'39' => 'Thirty-nine Years Ago',
		'40' => 'Forty Years Ago'
	);


	// this line strips existing y= from request_uri
	$today_uri= preg_replace("/&y=[0-9]*/", "", $_SERVER['REQUEST_URI']);

	if (empty($y))
		$y = $numberofyears; //was = $rounded

	$links1 = "<p><font face='Verdana, Arial, Helvetica, sans-serif' size='1' color='#006600'>";



//troubleshooting
echo "monthtest: " . $monthtest . "<p>";
echo "daytest: " . $daytest . "<p>";
echo "monthlowtest: " . $monthlowtest . "<p>";
echo "daylowtest: " . $daylowtest . "<p>";

echo "firstyear: " . $firstyear . "<p>";
echo "Numberofyears: " . $numberofyears . "<p>";
echo "SQL: " . $sql . "<p>";
echo "yeartest: " . $yeartest . "<p>";
echo "yearlowtest: " . $yearlowtest . "<p>";

echo "time: " . $time . "<br>";
echo "year: " . $year . "<br>";
echo "yearlow: " . $yearlow . "<br>";
echo "yearhigh: " . $yearhigh . "<br>";
echo "y: " . $y . "<br>";
exit;

	for ($i = $numberofyears; $i > 0; $i--) {


		$time = strtotime("-$i years");
		$year = date('Y-m-d',strtotime("-$i years"));
		$yearlow = date('Y-m-d',strtotime("-5 days",$time));
		$yearhigh = date('Y-m-d',strtotime("+5 days",$time));

		$result = db_do("SELECT image_id, published FROM image_data WHERE " .
			"published<='$year' AND published>='$yearlow' AND activated IS NOT NULL AND invisible = 0 AND property='$id' " .
			"ORDER BY published DESC LIMIT 1");
		list($imageid,$publishdate) = db_row($result);


		if (db_num_rows($result) > 0) {
			//Does not show | at beginning of list
			if ($i != $numberofyears)
			$links1 .= '&nbsp;|&nbsp;';

//troubleshooting
//echo $imageid . "<p>pubdate:";
//echo $publishdate . "<p>";

			if ($y == $i)
				$links1 .= $years[$i];
			else
				$links1 .= "<a href=" . $today_uri . "&y=" . $i . ">" . $years[$i] . "</a>";
		}

		db_free($result);

	}

	$links1 .= '</font></p>';


	#xxx Determine image to display.

	$time = strtotime("-$y years");
	$year = date('Y-m-d',strtotime("-$y years"));
	$yearlow = date('Y-m-d',strtotime("-5 days",$time));
	$yearhigh = date('Y-m-d',strtotime("+5 days",$time));



//Pulls the most recent image within the range.

	$result = db_do("SELECT image_id, published, home_dir, property_type, image_name, property_name, height, width " .
		"FROM image_data WHERE " .
		"published<='$year' AND published>='$yearlow' AND activated IS NOT NULL AND invisible = 0 AND property='$id' " .
		"ORDER BY published DESC LIMIT 1");

	list($iid, $published, $home_dir, $type, $image_name, $name, $height, $width) = db_row($result);


	if (db_num_rows($result) <= 0)
	{
		header('Location: ' . $today_uri);
	}


	db_free($result);
	$imagepath = $home_dir. '/art_images/' . $image_name;
	$iix=$iid;

	}

// END OPTION T




// OPTION V: IMAGES BY VIEWABLE DATE

if(strchr($options,v))
	{
	$published_viewable = viewable;
	}
ELSE
	{
	$published_viewable = published;
	}

// END OPTION V


if (isset($_GET['iid']))
	{
	$iix = $iid;
	$imagepath = $home_dir. '/art_images/' . $image_name;
	}


// OPTION R: IMAGES MOST RECENT FIRST

ELSEIF (strchr($options,r))
	{

//troubleshooting
//echo "Published/Viewable is " . $published_viewable;
//echo "<br>session new additions id = " . $_SESSION['new_additions' . $idx];
//echo "<br>session new additions id usetoday = " . $_SESSION['new_additions' . $idx][$usetoday];
//echo "<br>use_date = " . $use_date;

	include($_SERVER['DOCUMENT_ROOT'] . "/templates/include-recentcode.php");

	$imagepath = $home_dir. '/art_images/' . $image_name;
	}

// END OPTION R

ELSEIF (!strchr($options,t))
	{
	//These lines of code place the last 40 comics (either by Published or Viewable date, depending
	//on what happens above) into an array, sorted by most recent date first.

	//If id is being used in URL, the top query happens. If aid is being used, the second query
	//(even if there is only one property by the artist).

	if(!is_array($id))
		{
		$result = db_do("SELECT image_id, $published_viewable FROM image_data WHERE " .
			"viewable<=NOW() AND activated IS NOT NULL AND invisible = 0 AND property='$id' " .
			"ORDER BY $published_viewable DESC LIMIT 40");
		}
	ELSE
		{
		$result = db_do("SELECT image_id, $published_viewable FROM image_data WHERE " .
			"viewable<=NOW() AND activated IS NOT NULL AND invisible = 0 AND " .
			"(property='$id[0]' OR property='$id[1]' OR property='$id[2]' OR property='$id[3]') " .
			"ORDER BY $published_viewable DESC LIMIT 40");
		}

	$iids = array();

	$i=1;

	while (list($iid, $pubview) = db_row($result))
		{
		$iids[$i]['iid'] = $iid;
		$iids[$i]['date'] = $pubview;
		$i=$i+1;
		}

	db_free($result);


	//troubleshooting
	//echo "today is $today<br>";
	//echo "key is $key<br>iids is:<br>";
	//print_r($iids);
	//exit;


	$really_today = date( "Y-m-d");

	if (is_null($today))
		{$today = date( "Y-m-d");}

	if ($today > $really_today)
		{$today = date( "Y-m-d");}

	$smalldate = date ("m/d", strtotime("$today"));

	//Here we pull out from the iids the one corresponding to 'today'
	$key = array_search_value($today, $iids);

	if (is_null($key) || $key=='')
		$key = 1;


	//With the new code, the script now KNOWS which is the most recent image: iids[1]

	$result = db_do("SELECT image_data.image_id, image_data.image_name, master_property.name, " .
		"master_property.id, master_property.home_dir, master_property.type, height, width " .
		"FROM master_property,image_data WHERE image_data.image_id=" . $iids[$key]['iid'] . " AND master_property.id=image_data.property LIMIT 1");

	list($iix, $image_name, $name, $propertyID, $home_dir, $type, $height, $width) = db_row($result);

	db_free($result);

	$imagepath = $home_dir. '/art_images/' . $image_name;
	$iid=$iix;

	//troubleshooting
	//echo "iix is $iix<br>linkid is $linkid<br>id is $id<br>iids is ";
	//print_r($iids);
	//exit;


	}

// troubleshooting
// echo "published_viewable is $published_viewable<br>propertyID is $propertyID<br>today is $today<br>iix is $iix<br>image_name is $image_name";


//these apply to inc-2weekpulldown; leave for now

$todayminus1 = date ("Y-m-d", strtotime("$really_today -1 days"));
$todayminus2 = date ("Y-m-d", strtotime("$really_today -2 days"));
$todayminus3 = date ("Y-m-d", strtotime("$really_today -3 days"));
$todayminus4 = date ("Y-m-d", strtotime("$really_today -4 days"));
$todayminus5 = date ("Y-m-d", strtotime("$really_today -5 days"));
$todayminus6 = date ("Y-m-d", strtotime("$really_today -6 days"));
$todayminus7 = date ("Y-m-d", strtotime("$really_today -7 days"));
$todayminus8 = date ("Y-m-d", strtotime("$really_today -8 days"));
$todayminus9 = date ("Y-m-d", strtotime("$really_today -9 days"));
$todayminus10 = date ("Y-m-d", strtotime("$really_today -10 days"));
$todayminus11 = date ("Y-m-d", strtotime("$really_today -11 days"));
$todayminus12 = date ("Y-m-d", strtotime("$really_today -12 days"));
$todayminus13 = date ("Y-m-d", strtotime("$really_today -13 days"));
$todayminus14 = date ("Y-m-d", strtotime("$really_today -14 days"));



include('/home/cartoon5/_cartoonistgroup.com/include/copyno-include.php');



//if id is an array, then linktype is set to aid and idneutral set to aid id
//if id is not an array, linktype is set to id and idneutral set to id id

$path = "http://www.cartoonistgroup.com/templates/template_ext.php?origin=" . $origin . "&opt=" . $options . "&css=" . $stylesheet . "&" . $linktype . "=" . $idneutral . "&today=";


//troubleshooting
//echo "php_self: " . $_SERVER['PHP_SELF'];
//echo "<p>request_uri: " . $_SERVER['REQUEST_URI'];



?>

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:og="http://opengraph.org/schema/" xmlns:fb="http://www.facebook.com/2008/fbml">
  <head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
    <title><?php echo $name;?></title>
    <meta property="og:title" content="<?php echo $name . ' ' . $today;?>"/>
    <meta property="og:type" content="cartoonistgroup:cartoon"/>
    <meta property="og:url" content="<?php echo $path . $today;?>"/>
    <meta property="og:image" content="http://www.cartoonistgroup.com/properties/<?php echo $imagepath; ?>"/>
    <meta property="og:site_name" content="CartoonistGroup"/>
    <meta property="fb:admins" content="1348369420"/>
    <meta property="og:description"
          content=""/>



<?php
if (!is_null($fb_ref) || $fb_ref!='')
{
?>

<script type="text/javascript">
if (self.location == top.location &&
location.search.substring(1) != 'nf')
top.location.href = '<?php echo $fb_ref; ?>?' + escape(self.location);
</script>

<?php
}
?>





<link href="<?php echo $stylesheet; ?>.css" rel="stylesheet" media="all"/>
    <script type="text/javascript" src="http://www.cartoonistgroup.com/classes/Frame.js"></script>
    <script type="text/javascript">
        window.onload = function(event)
        {
            window.setInterval(publishHeight, 300);
        }
    </script>

	<script type="text/javascript">
	(function() {
	var s = document.createElement('SCRIPT'), s1 = document.getElementsByTagName('SCRIPT')[0];
	s.type = 'text/javascript';
	s.async = true;
	s.src = 'http://widgets.digg.com/buttons.js';
	s1.parentNode.insertBefore(s, s1);
	})();
	</script>


</head>
<body onunload="">

<!-- Title/Archive Bar -->
<div id="comics_wrapper2">


<div id="comic_title">

<?php

// OPTION A: TWO-WEEK PULLDOWN

if(strchr($options,a))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-2weekpulldown.php");
	}

// END OPTION A

?>

</div>


<?php
// OPTION U: PUZZLE

if(strchr($options,u))
	{

	$heightplus = $height + 100;


?>
<center>
<script language="Javascript"><!--
document.write('<applet code="SlidingPuzzle2ech.class" archive="SlidingPuzzle2.jar" codebase="/js" width="<?php echo $width; ?>" height="<?php echo $heightplus; ?>">');
document.write('<param name=AUTHOR value="Eric Harshbarger, http://www.ericharshbarger.org">');
document.write('<param name=COPYRIGHT value="SlidingPuzzle applet, Copyright 1998, Eric Harshbarger">');
document.write('<param name=IMAGE value="http://www.cartoonistgroup.com/properties/<?php echo $imagepath; ?>">');
document.write('<param name=ROWS value="3">');
document.write('<param name=COLUMNS value="4">');
document.write('<param name=BGCOLOR value="0,0,0">');
document.write('<param name=FGCOLOR value="255,255,255">');
document.write('</applet>');
// -->
</script>
                              </font><font face="Verdana, Arial, Helvetica, sans-serif" size="1"><noscript>
                              Please turn on JavaScript in order to access this
                              page. </noscript> </font><font face="Comic Sans MS"><br>
                              <br>

                              </font></p>
		</center>

<?php
	}

// END OPTION U


// The following shows up if option B (30-day calendar) or option U (Puzzle) are NOT selected


if(!strchr($options,b) & !strchr($options,x) & !strchr($options,u))
	{
	?>

	<!-- Full Comic -->
	<div id="comic_full" height="<?php echo $height; ?>">

	<?php
	if(strchr($options,n))
		{
		?>
		<a href="http://www.cartoonistgroup.com/copyno.php" target="_blank" onMouseOver="document.images['im2'].src='<?php echo $copyno; ?>'" onMouseMove="document.images['im2'].src='<?php echo $copyno; ?>'" onMouseDown="document.images['im2'].src='<?php echo $copyno; ?>'" onMouseOut="document.images['im2'].src='/properties/<?php echo $imagepath; ?>'"><img src="/properties/<?php echo $imagepath; ?>" border="0" name="im2" onLoad="preload=new Image(); preload.src='http://www.cartoonistgroup.com<?php echo $copyno; ?>'"></a>
		<?php
		}
	ELSE
		{
		?>
		<img border="0" src="http://www.cartoonistgroup.com/properties/<?php echo $imagepath; ?>" alt="<?php echo $name . ' ' . $smalldate; ?>" name="im2">
		<?php
		}
	?>

	</div>

	<?php

	// OPTION I: PREVIOUS/NEXT IMAGE (only works if B: 30-DAY CALENDAR is NOT selected)

	if(strchr($options,i))
		{

//yesterday is today -i
//SO, find today, then subtract one i to get yesterday
//add one i to get tomorrow
//$key
//$iids[$key]['iid']

		$yesterday=$iids[$key+1]['date'];
		$tomorrow=$iids[$key-1]['date'];

		if ($key >= 30)
			{
			$toplineprevious="&nbsp;";
			}
		else
			{
			$toplineprevious="<a href='$path$yesterday'>&laquo; Previous day</a>";
			}

		if ($key == 1)
			{
			$toplinenext="&nbsp;";
			}
		else
			{
			$toplinenext="<a href='$path$tomorrow'>Next day &raquo;</a>";
			}

		?>

		<div id=prevnext>

		<table border=0 width=600 class=prevnext>
		<tr id='prevnexttop'>
		<td colspan=3 align='left'><?php echo $toplineprevious; ?></td><td></td><td colspan=3 align='right'><?php echo $toplinenext; ?></td></tr>
		</table>


		<?php



		//troubleshooting
		//echo "key is $key<br>iix is $iix<br>linkid is $linkid<br>id is $id<br>iids is ";
		//print_r($iids);
		//exit;

		echo "</div>";

		}

	// END OPTION I

	}

// OPTION B: 30-DAY CALENDAR

if(strchr($options,b))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-30day_artist.php");
	}

// END OPTION B


// OPTION T: TODAY

if(strchr($options,t))
	{

?>
	<p><font face="Verdana, Arial, Helvetica, sans-serif"> <?php echo $years[$y]; ?>
                          Today!</font></p>
                          <p><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#006600">Use
                            these links to see today's strip from other years.</font></p>
                            <?php echo $links1; ?>

<?php
	}

// END OPTION T





$linkid = $iid;

// OPTION S: SHARE THIS

if(strchr($options,s))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-sharecode.php");
	}

// END OPTION S



// OPTION E: E-CARDS

if(strchr($options,e))
	{
	echo "<DIV id=ecards_box>";
	echo "<p><a href=http://www.cartoonistgroup.com/search/cardimage.php?iid=$linkid id='ecard' target='_blank'>Send an <b>e-card</b> of this cartoon!</a>";
	echo "</DIV>";
	}

// END OPTION E


// OPTION L: LICENSING

if(strchr($options,l))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-licensing.php");
	}

// END OPTION L


// OPTION C: MERCHANDISE

if(strchr($options,c))
	{
	echo "<DIV id=merchandise_box>";
	echo "<p class=merchandise><a href=http://store.cartoonistgroup.com/catalog/byid.php?id=$linkid id='merch' target='_blank'>See <b>merchandise</b> available for this cartoon!</a>";
	echo "</DIV>";
	}

// END OPTION C


// OPTION D: SIMILAR COMICS (multi-word subject)
// ready for artist
if(strchr($options,d))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-similar.php");
	}

// END OPTION D


// OPTION P: PUBDATE SEARCH

if(strchr($options,p))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-pubdate.php");
	}

// END OPTION P


// OPTION K: KEYWORD SEARCH

if(strchr($options,k))
	{
	echo "<DIV id=keyword_box>";
	echo "<p><form action='/search/refine.php' method='POST' target='_blank'>";
	echo "<table class='kwsearch'><tr><td>Search <i>$name</i> using keywords:";
	echo "<input id='keywords' name='keywords' type='text' size='18'>";
	echo "<INPUT id='keywordssubmit' TYPE='submit' NAME='submit' VALUE='Go to the Cartoonist Group'></td></tr>";
	echo "<tr><td class='noneed'>No need to add comics or cartoons to your keywords.";
	echo '<input type="hidden" name="property" value="' . $name . '"></td></tr>';
	echo "</table></form>";
	echo "</DIV>";
	}

// END OPTION K

?>

</div>

<div style="clear:all;"></div>
<!-- END -->
</body>
</html>